Subject: [MMUSIC] RE: [Sip] RE: [BEHAVE] Re: ICE deployment data before LC for RFC

From: Pyda Srisuresh <[email-masked]>
Date: Thu, 19 Jul 2007 10:38:41 -0700 (PDT)

David,

90% success in connection rate is very impressive. Are you refering to UDP, TCP
or both? As you say, fallback such as relay is essential for 100% connectivity.
One cannot use hole punching without a good fallback scheme.
 
regards,
suresh

--- David Barrett <[email-masked]> wrote:

> > -----Original Message-----
> > From: Melinda Shore [mailto:[email-masked]]
> > 
> > ICE makes me want to pound red-hot nails into my eye sockets.  That said,
> > 90% really isn't nearly good enough for residential deployments.
> 
> Incidentally, 90% is where my stats come out today -- this doesn't include
> restricted-cone/symmetric and symmetric/symmetric penetration, which has
> been prototyped but not added to the production system yet.  The hope is
> this will get us much close to the 99% range, but it remains to be seen by
> how much.
> 
> Furthermore, I'd wager that for most applications (such as VoIP), even
> routing 1 in 10 calls through a central relay isn't going to break the bank.
> (Or for mega-discounts, use the full-cone and non-NAT'd clients (>30%) to
> act as "free" relays for their peers.)
> 
> Thus while NAT penetration using what I guess we're calling the "hole
> punching technique" has been demonstrated to work at 90%+ on a very large
> scale (hundreds of thousands of clients tested) we should expect that it's
> possible to get even better still.  If ICE can show how it'd do better,
> that'd be great.  But we can't tolerate ICE being any worse than that, and
> thus before rushing ahead with standardizing an unproven ICE, we should just
> take the time to prove it.
> 
> -david
> 
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: "David Barrett" <[email-masked]>
Date: Thu, 19 Jul 2007 11:01:45 -0700

Just UDP so far, though I harbor ambitions of adding TCP to the mix so it'll
try a bit of everything.

> From: Pyda Srisuresh [mailto:[email-masked]]
> Sent: Thursday, July 19, 2007 10:39 AM
> To: David Barrett; 'Melinda Shore'; 'Philip Matthews'
> Cc: [email-masked]; 'Henry Sinnreich'; [email-masked]; [email-masked]
> Subject: RE: [Sip] RE: [BEHAVE] Re: ICE deployment data before LC for RFC
> 
> David,
>